Upstream information

CVE-2017-6350 at MITRE

Description

An integer overflow at an unserialize_uep memory allocation site would occur for vim before patch 8.0.0378, if it does not properly validate values for tree length when reading a corrupted undo file, which may lead to resultant buffer overflows.

SUSE information

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.48 4.05
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P AV:L/AC:M/Au:S/C:P/I:P/A:P
Access Vector Network Local
Access Complexity Low Medium
Authentication None Single
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 9.8
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High

This issue is currently rated as having moderate severity.

SUSE Bugzilla entry: 1027053 [IN_PROGRESS]

No SUSE Security Announcements cross referenced.

List of packages in QA

Product(s) Package(s)
Openstack Cloud Magnum Orchestration 7
  • vim >= 7.4.326-14.1
  • vim-debuginfo >= 7.4.326-14.1
  • vim-debugsource >= 7.4.326-14.1
SUSE Linux Enterprise Desktop 12 SP2
  • gvim >= 7.4.326-14.1
  • gvim-debuginfo >= 7.4.326-14.1
  • vim >= 7.4.326-14.1
  • vim-data >= 7.4.326-14.1
  • vim-debuginfo >= 7.4.326-14.1
  • vim-debugsource >= 7.4.326-14.1
SUSE Linux Enterprise Server 12 SP2
  • gvim >= 7.4.326-14.1
  • gvim-debuginfo >= 7.4.326-14.1
  • vim >= 7.4.326-14.1
  • vim-data >= 7.4.326-14.1
  • vim-debuginfo >= 7.4.326-14.1
  • vim-debugsource >= 7.4.326-14.1
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • gvim >= 7.4.326-14.1
  • gvim-debuginfo >= 7.4.326-14.1
  • vim >= 7.4.326-14.1
  • vim-data >= 7.4.326-14.1
  • vim-debuginfo >= 7.4.326-14.1
  • vim-debugsource >= 7.4.326-14.1